##############################################################################
## This file is part of 'LCLS2 Common Carrier Core'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'LCLS2 Common Carrier Core', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once AmcCarrierTiming.yaml
#include TimingFrameRx.yaml
#include TPGMiniCore.yaml
#include GthRxAlignCheck.yaml
#include Gthe3Channel.yaml

AmcCarrierTiming: &AmcCarrierTiming 
  name: AmcCarrierTiming
  class: MMIODev
  configPrio: 1
  description: Timing receiver module for AMC Carrier
  size: 0x01000000
  ############
  children:
  ############
    TimingFrameRx:
      <<: *TimingFrameRx
      at:
        offset: 0x00000000
    ##################################################
    TPGMiniCore:
      <<: *TPGMiniCore
      at:
        offset: 0x00030000
    ##################################################
    GthRxAlignCheck:
      <<: *GthRxAlignCheck
      at:
        offset: 0x00800000
    ##################################################  
    Gthe3Channel:
      <<: *Gthe3Channel
      at:
        offset: 0x00C00000
    ##################################################      
